OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
SDFTilesToFogVolume< TreeType, InternalNodeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Member Functions
| SDFTilesToFogVolume (const TreeType &tree, InternalNodeType **nodes)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
const TreeType *const | mTree
InternalNodeType **const | mNodes

## Constructor & Destructor Documentation

## ◆ SDFTilesToFogVolume()

SDFTilesToFogVolume | ( | const TreeType & | tree,
|  | InternalNodeType ** | nodes
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mNodes

InternalNodeType** const mNodes

## ◆ mTree

const TreeType* const mTree

The documentation for this struct was generated from the following file:

- LevelSetUtil.h